import sys
import os

from ez_setup import use_setuptools
use_setuptools('0.6c3')

from setuptools import setup, find_packages, Extension
from distutils.sysconfig import get_python_inc
from glob import glob
import commands


dist = setup( name='wifi connector',
    version='0.00.1',
    author='Tick',
    author_email='tick@openmoko.com',
    description='A simple wifi connector script',
    url='http://projects.openmoko.org/projects/enlazar/',
    download_url='http://projects.openmoko.org/scm/?group_id=124', 
    license='GNU GPL',
    package_dir={'':'src'},
    packages=['wifi'],
    scripts=['src/campwifi.py'],
    install_requires=['python-etk >= 0.1.1'],
    setup_requires=['python-evas>=0.2.1'],
    data_files=[ ('pixmaps', ['image/enlazar.jpg']), 
        ('applications', ['src/enlazar.desktop']), 
        ]
)

installCmd = dist.get_command_obj(command="install_data")
installdir = installCmd.install_dir
installroot = installCmd.root

if not installroot:
    installroot = ""

if installdir:
    installdir = os.path.join(os.path.sep,
        installdir.replace(installroot, ""))

